﻿* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Segoe UI", Tahoma, sans-serif;
}

body {
    height: 100vh;
}

.page {
    position: relative;
    width: 100%;
    height: 95vh;
    background: url("../images/world-map-bg1.jpg") no-repeat center center;
    background-size: cover;
}

/* ================= Login Panel ================= */
.login-panel {
    position: relative;
    left: 5%;
    top: 49%;
    transform: translateY(-50%);
    width: 420px;
    background: #fff;
    border-radius: 18px;
    padding: 40px 40px 150px 40px;
    z-index: 2;
    box-shadow: 0 30px 60px rgba(0,0,0,0.25);
}

/* ================= Inputs ================= */

.form-control.logininput {
    border-radius: 5px;
    padding-left: 45px;
    height: 50px;
}

.input-icon {
    position: absolute;
    top: 50%;
    left: 18px;
    transform: translateY(-50%);
    color: #00a3d1;
}
/* ================= Button ================= */
.login-btn {
    display:inline-block;
    width: 100%;
    height: 48px;
    margin-top: 10px;
    border: none;
    border-radius: 10px;
    background: linear-gradient(135deg, #0b2c8f, #00b3ff);
    color: #fff;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
}

.login-btn:disabled {
    background: #0b2c8f59 !important;
    pointer-events: none;
    user-select: none;
}

.login-btn:hover {
    background: linear-gradient(135deg,#00b3ff, #0b2c8f);
    opacity: 0.95;
}

.forgot {
    display: block;
    margin-top: 18px;
    text-align: center;
    font-size: 14px;
    color: #0b2c8f;
    text-decoration: none;
}

/* ================= Decorations ================= */
.decorations {
    position: absolute;
    inset: 0;
    pointer-events: none;
}

/* ===== Logo Circles ===== */

.logo-circle.outer {
    width: 140px;
    height: 140px;
    border: 3px solid #d8dbdd6b; 
    border-radius: 50%;
    backdrop-filter: blur(2px);
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 0 30px rgba(0,180,255,0.35), inset 0 0 15px rgba(255,255,255,0.15);
    position: absolute;
}

.logo-inner {
    width: 90%;
    height: 90%;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.logo-inner img {
    width: 85%;
    height: auto;
    object-fit: contain;
    pointer-events: none;
    user-select: none;
}

.logo-inner.dhl {
    background: #ffcc00;
}

.logo-inner.gls {
    background: #061ab1;
}

.logo-inner.dpd {
    background: #ffffff;
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 20px rgba(80,200,255,.4);
    }

    50% {
        box-shadow: 0 0 40px rgba(80,200,255,.9);
    }

    100% {
        box-shadow: 0 0 20px rgba(80,200,255,.4);
    }
}

.logo-inner {
    animation: pulse 1s infinite ease-in-out;
}

/* ===== Delivery Courier ===== */

.deliverycourier.outer {
    width: 140px;
    height: 140px;
    border-radius: 50%;
    backdrop-filter: blur(2px);
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
}

.deliverycourier-inner {
    width: 90%;
    height: 90%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.deliverycourier-inner img {
    width: 90%;
    height: auto;
    object-fit: contain;
    pointer-events: none;
    user-select: none;
}


/* Positions (matching image layout) */
.c1 {
    top: 24%;
    left: 35%;
}

.c2 {
    top: 23%;
    left: 85%;
}

.c3 {
    top: 15%;
    left: 45%;
}

.c4 {
    top: 52%;
    left: 85%;
}

.c5 {
    top: 65%;
    left: 75%;
}

.c6 {
    top: 55%;
    left: 35%;
}
